## ros-melodic-explore-lite 2.1.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1)
project(explore_lite)

## Find catkin macros and libraries
find_package(catkin REQUIRED COMPONENTS
  actionlib
  actionlib_msgs
  costmap_2d
  geometry_msgs
  map_msgs
  move_base_msgs
  nav_msgs
  roscpp
  std_msgs
  tf
  visualization_msgs
)

###################################
## catkin specific configuration ##
###################################
catkin_package(
  CATKIN_DEPENDS
    actionlib
    actionlib_msgs
    costmap_2d
    geometry_msgs
    map_msgs
    move_base_msgs
    nav_msgs
    roscpp
    std_msgs
    tf
    visualization_msgs
)

###########
## Build ##
###########
set(CMAKE_CXX_STANDARD 14)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

## Specify additional locations of header files
include_directories(
  ${catkin_INCLUDE_DIRS}
  include
)

add_executable(explore
  src/costmap_client.cpp
  src/explore.cpp
  src/frontier_search.cpp
)
add_dependencies(explore ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(explore ${catkin_LIBRARIES})

#############
## Install ##
#############

# install nodes
install(TARGETS explore
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

# install roslaunch files
install(DIRECTORY launch/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
)

#############
## Testing ##
#############
if(CATKIN_ENABLE_TESTING)
  find_package(roslaunch REQUIRED)

  # test all launch files
  roslaunch_add_file_check(launch)
endif()

=== debian/changelog ===
ros-melodic-explore-lite (2.1.4-1bionic) bionic; urgency=high

  * use C++14
  * Contributors: Jiri Horner

 -- Jiri Horner <laeqten@gmail.com>  Wed, 06 Jan 2021 23:00:00 -0000

ros-melodic-explore-lite (2.1.3-1bionic) bionic; urgency=high

  * add missing dependencies to catkin_package calls
  * Contributors: Jiri Horner

 -- Jiri Horner <laeqten@gmail.com>  Sat, 02 Jan 2021 23:00:00 -0000

ros-melodic-explore-lite (2.1.2-1bionic) bionic; urgency=high

  * support for ROS Melodic
  * Contributors: Jiri Horner

 -- Jiri Horner <laeqten@gmail.com>  Fri, 01 Jan 2021 23:00:00 -0000

ros-melodic-explore-lite (2.1.1-1bionic) bionic; urgency=high

  * explore: fix min_frontier_size bug
    * min_frontier_size parameter was not used to at all
    * adjust min_frontier size filtering according to map resolution
  * fix bugs in CMakeLists.txt
    * install nodes in packages, so they get shipped in debian packages. fixes #11 <https://github.com/hrnr/m-explore/issues/11>
  * explore: update documentation
  * Contributors: Jiri Horner

 -- Jiri Horner <laeqten@gmail.com>  Fri, 15 Dec 2017 23:00:00 -0000

ros-melodic-explore-lite (2.1.0-1bionic) bionic; urgency=high

  * explore: get rid of boost
  * explore: rework launchfiles
  * new visualisation of frontiers
  * remove navfn library from dependencies
  * use frontier seach algorithm from Paul Bovbel
    * much better than previous version of search
    * https://github.com/paulbovbel/frontier_exploration.git
  * fix deadlock in explore
    * reworked expore to use timer instead of separate thread for replanning
    * fix deadlock occuring between makePlan and goal reached callback
  * Contributors: Jiri Horner

 -- Jiri Horner <laeqten@gmail.com>  Sun, 29 Oct 2017 23:00:00 -0000

ros-melodic-explore-lite (2.0.0-1bionic) bionic; urgency=high

  * explore: migrate to package format 2
  * explore: remove internal version of navfn_ros
    * my changes are included in the ros since kinetic
  * Contributors: Jiri Horner

 -- Jiri Horner <laeqten@gmail.com>  Sat, 25 Mar 2017 23:00:00 -0000

ros-melodic-explore-lite (1.0.1-1bionic) bionic; urgency=high

  * update documentation
  * Contributors: Jiri Horner

 -- Jiri Horner <laeqten@gmail.com>  Fri, 24 Mar 2017 23:00:00 -0000

ros-melodic-explore-lite (1.0.0-1bionic) bionic; urgency=high

  * initial release
  * Contributors: Jiri Horner, duhadway-bosch, pitzer

 -- Jiri Horner <laeqten@gmail.com>  Tue, 10 May 2016 22:00:00 -0000

=== debian/control ===
Source: ros-melodic-explore-lite
Section: misc
Priority: optional
Maintainer: Jiri Horner <laeqten@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-actionlib, ros-melodic-actionlib-msgs, ros-melodic-catkin, ros-melodic-costmap-2d, ros-melodic-geometry-msgs, ros-melodic-map-msgs, ros-melodic-move-base-msgs, ros-melodic-nav-msgs, ros-melodic-roscpp, ros-melodic-roslaunch, ros-melodic-std-msgs, ros-melodic-tf, ros-melodic-visualization-msgs
Homepage: http://wiki.ros.org/explore_lite
Standards-Version: 3.9.2

Package: ros-melodic-explore-lite
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-actionlib, ros-melodic-actionlib-msgs, ros-melodic-costmap-2d, ros-melodic-geometry-msgs, ros-melodic-map-msgs, ros-melodic-move-base-msgs, ros-melodic-nav-msgs, ros-melodic-roscpp, ros-melodic-std-msgs, ros-melodic-tf, ros-melodic-visualization-msgs
Description: Lightweight frontier-based exploration.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-explore-lite//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
